MTextProperty Struct Reference

Type of text properties. More...

Collaboration diagram for MTextProperty:
[legend]

## Data Fields

M17NObject | control
unsigned | attach_count
MText * | mt
int | start
int | end
MSymbol | key
void * | val

## Detailed Description

Type of text properties.

<>

The type MTextProperty is for a text property objects. Its internal structure is concealed from application programs.

## Field Documentation

## control

M17NObject MTextProperty::control

## attach_count

unsigned MTextProperty::attach_count

## mt

MText* MTextProperty::mt

## start

int MTextProperty::start

## end

int MTextProperty::end

## key

MSymbol MTextProperty::key

## val

void* MTextProperty::val